package de.duehl.swing.ui.windowFocusFrame;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public interface WindowFocusObservable {

    void addObserver(WindowFocusObserver observer);

    void deleteObserver(WindowFocusObserver observer);

    void notifyObserversFocusGained();

    void notifyObserversFocusLost();

}
